Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network96.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
Network address
96.0.0.0
Broadcast address
127.255.255.255
First usable
96.0.0.1
Last usable
127.255.255.254
Usable hosts
536,870,910 (536,870,912 less the network and broadcast addresses)
Subnet mask
224.0.0.0
Wildcard mask
31.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/3
Type
Public public
Old class
A (default /8)
As numbers
Hex 60000000 · Integer 1610612736 to 2147483647
Reverse DNS zones
96.in-addr.arpa
97.in-addr.arpa
98.in-addr.arpa
99.in-addr.arpa
100.in-addr.arpa
101.in-addr.arpa
102.in-addr.arpa
103.in-addr.arpa
104.in-addr.arpa
105.in-addr.arpa
106.in-addr.arpa
107.in-addr.arpa
108.in-addr.arpa
109.in-addr.arpa
110.in-addr.arpa
111.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100000.00000000.00000000.0000000096.0.0.0
Subnet mask11100000.00000000.00000000.00000000224.0.0.0
Network01100000.00000000.00000000.0000000096.0.0.0
Broadcast01111111.11111111.11111111.11111111127.255.255.255
Split into smaller subnets/15

96.0.0.0/3 makes 4,096 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
196.0.0.0/1596.0.0.1 to 96.1.255.25496.1.255.255131,070
296.2.0.0/1596.2.0.1 to 96.3.255.25496.3.255.255131,070
396.4.0.0/1596.4.0.1 to 96.5.255.25496.5.255.255131,070
496.6.0.0/1596.6.0.1 to 96.7.255.25496.7.255.255131,070
596.8.0.0/1596.8.0.1 to 96.9.255.25496.9.255.255131,070
696.10.0.0/1596.10.0.1 to 96.11.255.25496.11.255.255131,070
796.12.0.0/1596.12.0.1 to 96.13.255.25496.13.255.255131,070
896.14.0.0/1596.14.0.1 to 96.15.255.25496.15.255.255131,070
996.16.0.0/1596.16.0.1 to 96.17.255.25496.17.255.255131,070
1096.18.0.0/1596.18.0.1 to 96.19.255.25496.19.255.255131,070
1196.20.0.0/1596.20.0.1 to 96.21.255.25496.21.255.255131,070
1296.22.0.0/1596.22.0.1 to 96.23.255.25496.23.255.255131,070
1396.24.0.0/1596.24.0.1 to 96.25.255.25496.25.255.255131,070
1496.26.0.0/1596.26.0.1 to 96.27.255.25496.27.255.255131,070
1596.28.0.0/1596.28.0.1 to 96.29.255.25496.29.255.255131,070
1696.30.0.0/1596.30.0.1 to 96.31.255.25496.31.255.255131,070
1796.32.0.0/1596.32.0.1 to 96.33.255.25496.33.255.255131,070
1896.34.0.0/1596.34.0.1 to 96.35.255.25496.35.255.255131,070
1996.36.0.0/1596.36.0.1 to 96.37.255.25496.37.255.255131,070
2096.38.0.0/1596.38.0.1 to 96.39.255.25496.39.255.255131,070
2196.40.0.0/1596.40.0.1 to 96.41.255.25496.41.255.255131,070
2296.42.0.0/1596.42.0.1 to 96.43.255.25496.43.255.255131,070
2396.44.0.0/1596.44.0.1 to 96.45.255.25496.45.255.255131,070
2496.46.0.0/1596.46.0.1 to 96.47.255.25496.47.255.255131,070
2596.48.0.0/1596.48.0.1 to 96.49.255.25496.49.255.255131,070
2696.50.0.0/1596.50.0.1 to 96.51.255.25496.51.255.255131,070
2796.52.0.0/1596.52.0.1 to 96.53.255.25496.53.255.255131,070
2896.54.0.0/1596.54.0.1 to 96.55.255.25496.55.255.255131,070
2996.56.0.0/1596.56.0.1 to 96.57.255.25496.57.255.255131,070
3096.58.0.0/1596.58.0.1 to 96.59.255.25496.59.255.255131,070
3196.60.0.0/1596.60.0.1 to 96.61.255.25496.61.255.255131,070
3296.62.0.0/1596.62.0.1 to 96.63.255.25496.63.255.255131,070
3396.64.0.0/1596.64.0.1 to 96.65.255.25496.65.255.255131,070
3496.66.0.0/1596.66.0.1 to 96.67.255.25496.67.255.255131,070
3596.68.0.0/1596.68.0.1 to 96.69.255.25496.69.255.255131,070
3696.70.0.0/1596.70.0.1 to 96.71.255.25496.71.255.255131,070
3796.72.0.0/1596.72.0.1 to 96.73.255.25496.73.255.255131,070
3896.74.0.0/1596.74.0.1 to 96.75.255.25496.75.255.255131,070
3996.76.0.0/1596.76.0.1 to 96.77.255.25496.77.255.255131,070
4096.78.0.0/1596.78.0.1 to 96.79.255.25496.79.255.255131,070
4196.80.0.0/1596.80.0.1 to 96.81.255.25496.81.255.255131,070
4296.82.0.0/1596.82.0.1 to 96.83.255.25496.83.255.255131,070
4396.84.0.0/1596.84.0.1 to 96.85.255.25496.85.255.255131,070
4496.86.0.0/1596.86.0.1 to 96.87.255.25496.87.255.255131,070
4596.88.0.0/1596.88.0.1 to 96.89.255.25496.89.255.255131,070
4696.90.0.0/1596.90.0.1 to 96.91.255.25496.91.255.255131,070
4796.92.0.0/1596.92.0.1 to 96.93.255.25496.93.255.255131,070
4896.94.0.0/1596.94.0.1 to 96.95.255.25496.95.255.255131,070
4996.96.0.0/1596.96.0.1 to 96.97.255.25496.97.255.255131,070
5096.98.0.0/1596.98.0.1 to 96.99.255.25496.99.255.255131,070
5196.100.0.0/1596.100.0.1 to 96.101.255.25496.101.255.255131,070
5296.102.0.0/1596.102.0.1 to 96.103.255.25496.103.255.255131,070
5396.104.0.0/1596.104.0.1 to 96.105.255.25496.105.255.255131,070
5496.106.0.0/1596.106.0.1 to 96.107.255.25496.107.255.255131,070
5596.108.0.0/1596.108.0.1 to 96.109.255.25496.109.255.255131,070
5696.110.0.0/1596.110.0.1 to 96.111.255.25496.111.255.255131,070
5796.112.0.0/1596.112.0.1 to 96.113.255.25496.113.255.255131,070
5896.114.0.0/1596.114.0.1 to 96.115.255.25496.115.255.255131,070
5996.116.0.0/1596.116.0.1 to 96.117.255.25496.117.255.255131,070
6096.118.0.0/1596.118.0.1 to 96.119.255.25496.119.255.255131,070
6196.120.0.0/1596.120.0.1 to 96.121.255.25496.121.255.255131,070
6296.122.0.0/1596.122.0.1 to 96.123.255.25496.123.255.255131,070
6396.124.0.0/1596.124.0.1 to 96.125.255.25496.125.255.255131,070
6496.126.0.0/1596.126.0.1 to 96.127.255.25496.127.255.255131,070
6596.128.0.0/1596.128.0.1 to 96.129.255.25496.129.255.255131,070
6696.130.0.0/1596.130.0.1 to 96.131.255.25496.131.255.255131,070
6796.132.0.0/1596.132.0.1 to 96.133.255.25496.133.255.255131,070
6896.134.0.0/1596.134.0.1 to 96.135.255.25496.135.255.255131,070
6996.136.0.0/1596.136.0.1 to 96.137.255.25496.137.255.255131,070
7096.138.0.0/1596.138.0.1 to 96.139.255.25496.139.255.255131,070
7196.140.0.0/1596.140.0.1 to 96.141.255.25496.141.255.255131,070
7296.142.0.0/1596.142.0.1 to 96.143.255.25496.143.255.255131,070
7396.144.0.0/1596.144.0.1 to 96.145.255.25496.145.255.255131,070
7496.146.0.0/1596.146.0.1 to 96.147.255.25496.147.255.255131,070
7596.148.0.0/1596.148.0.1 to 96.149.255.25496.149.255.255131,070
7696.150.0.0/1596.150.0.1 to 96.151.255.25496.151.255.255131,070
7796.152.0.0/1596.152.0.1 to 96.153.255.25496.153.255.255131,070
7896.154.0.0/1596.154.0.1 to 96.155.255.25496.155.255.255131,070
7996.156.0.0/1596.156.0.1 to 96.157.255.25496.157.255.255131,070
8096.158.0.0/1596.158.0.1 to 96.159.255.25496.159.255.255131,070
8196.160.0.0/1596.160.0.1 to 96.161.255.25496.161.255.255131,070
8296.162.0.0/1596.162.0.1 to 96.163.255.25496.163.255.255131,070
8396.164.0.0/1596.164.0.1 to 96.165.255.25496.165.255.255131,070
8496.166.0.0/1596.166.0.1 to 96.167.255.25496.167.255.255131,070
8596.168.0.0/1596.168.0.1 to 96.169.255.25496.169.255.255131,070
8696.170.0.0/1596.170.0.1 to 96.171.255.25496.171.255.255131,070
8796.172.0.0/1596.172.0.1 to 96.173.255.25496.173.255.255131,070
8896.174.0.0/1596.174.0.1 to 96.175.255.25496.175.255.255131,070
8996.176.0.0/1596.176.0.1 to 96.177.255.25496.177.255.255131,070
9096.178.0.0/1596.178.0.1 to 96.179.255.25496.179.255.255131,070
9196.180.0.0/1596.180.0.1 to 96.181.255.25496.181.255.255131,070
9296.182.0.0/1596.182.0.1 to 96.183.255.25496.183.255.255131,070
9396.184.0.0/1596.184.0.1 to 96.185.255.25496.185.255.255131,070
9496.186.0.0/1596.186.0.1 to 96.187.255.25496.187.255.255131,070
9596.188.0.0/1596.188.0.1 to 96.189.255.25496.189.255.255131,070
9696.190.0.0/1596.190.0.1 to 96.191.255.25496.191.255.255131,070
9796.192.0.0/1596.192.0.1 to 96.193.255.25496.193.255.255131,070
9896.194.0.0/1596.194.0.1 to 96.195.255.25496.195.255.255131,070
9996.196.0.0/1596.196.0.1 to 96.197.255.25496.197.255.255131,070
10096.198.0.0/1596.198.0.1 to 96.199.255.25496.199.255.255131,070
10196.200.0.0/1596.200.0.1 to 96.201.255.25496.201.255.255131,070
10296.202.0.0/1596.202.0.1 to 96.203.255.25496.203.255.255131,070
10396.204.0.0/1596.204.0.1 to 96.205.255.25496.205.255.255131,070
10496.206.0.0/1596.206.0.1 to 96.207.255.25496.207.255.255131,070
10596.208.0.0/1596.208.0.1 to 96.209.255.25496.209.255.255131,070
10696.210.0.0/1596.210.0.1 to 96.211.255.25496.211.255.255131,070
10796.212.0.0/1596.212.0.1 to 96.213.255.25496.213.255.255131,070
10896.214.0.0/1596.214.0.1 to 96.215.255.25496.215.255.255131,070
10996.216.0.0/1596.216.0.1 to 96.217.255.25496.217.255.255131,070
11096.218.0.0/1596.218.0.1 to 96.219.255.25496.219.255.255131,070
11196.220.0.0/1596.220.0.1 to 96.221.255.25496.221.255.255131,070
11296.222.0.0/1596.222.0.1 to 96.223.255.25496.223.255.255131,070
11396.224.0.0/1596.224.0.1 to 96.225.255.25496.225.255.255131,070
11496.226.0.0/1596.226.0.1 to 96.227.255.25496.227.255.255131,070
11596.228.0.0/1596.228.0.1 to 96.229.255.25496.229.255.255131,070
11696.230.0.0/1596.230.0.1 to 96.231.255.25496.231.255.255131,070
11796.232.0.0/1596.232.0.1 to 96.233.255.25496.233.255.255131,070
11896.234.0.0/1596.234.0.1 to 96.235.255.25496.235.255.255131,070
11996.236.0.0/1596.236.0.1 to 96.237.255.25496.237.255.255131,070
12096.238.0.0/1596.238.0.1 to 96.239.255.25496.239.255.255131,070
12196.240.0.0/1596.240.0.1 to 96.241.255.25496.241.255.255131,070
12296.242.0.0/1596.242.0.1 to 96.243.255.25496.243.255.255131,070
12396.244.0.0/1596.244.0.1 to 96.245.255.25496.245.255.255131,070
12496.246.0.0/1596.246.0.1 to 96.247.255.25496.247.255.255131,070
12596.248.0.0/1596.248.0.1 to 96.249.255.25496.249.255.255131,070
12696.250.0.0/1596.250.0.1 to 96.251.255.25496.251.255.255131,070
12796.252.0.0/1596.252.0.1 to 96.253.255.25496.253.255.255131,070
12896.254.0.0/1596.254.0.1 to 96.255.255.25496.255.255.255131,070
12997.0.0.0/1597.0.0.1 to 97.1.255.25497.1.255.255131,070
13097.2.0.0/1597.2.0.1 to 97.3.255.25497.3.255.255131,070
13197.4.0.0/1597.4.0.1 to 97.5.255.25497.5.255.255131,070
13297.6.0.0/1597.6.0.1 to 97.7.255.25497.7.255.255131,070
13397.8.0.0/1597.8.0.1 to 97.9.255.25497.9.255.255131,070
13497.10.0.0/1597.10.0.1 to 97.11.255.25497.11.255.255131,070
13597.12.0.0/1597.12.0.1 to 97.13.255.25497.13.255.255131,070
13697.14.0.0/1597.14.0.1 to 97.15.255.25497.15.255.255131,070
13797.16.0.0/1597.16.0.1 to 97.17.255.25497.17.255.255131,070
13897.18.0.0/1597.18.0.1 to 97.19.255.25497.19.255.255131,070
13997.20.0.0/1597.20.0.1 to 97.21.255.25497.21.255.255131,070
14097.22.0.0/1597.22.0.1 to 97.23.255.25497.23.255.255131,070
14197.24.0.0/1597.24.0.1 to 97.25.255.25497.25.255.255131,070
14297.26.0.0/1597.26.0.1 to 97.27.255.25497.27.255.255131,070
14397.28.0.0/1597.28.0.1 to 97.29.255.25497.29.255.255131,070
14497.30.0.0/1597.30.0.1 to 97.31.255.25497.31.255.255131,070
14597.32.0.0/1597.32.0.1 to 97.33.255.25497.33.255.255131,070
14697.34.0.0/1597.34.0.1 to 97.35.255.25497.35.255.255131,070
14797.36.0.0/1597.36.0.1 to 97.37.255.25497.37.255.255131,070
14897.38.0.0/1597.38.0.1 to 97.39.255.25497.39.255.255131,070
14997.40.0.0/1597.40.0.1 to 97.41.255.25497.41.255.255131,070
15097.42.0.0/1597.42.0.1 to 97.43.255.25497.43.255.255131,070
15197.44.0.0/1597.44.0.1 to 97.45.255.25497.45.255.255131,070
15297.46.0.0/1597.46.0.1 to 97.47.255.25497.47.255.255131,070
15397.48.0.0/1597.48.0.1 to 97.49.255.25497.49.255.255131,070
15497.50.0.0/1597.50.0.1 to 97.51.255.25497.51.255.255131,070
15597.52.0.0/1597.52.0.1 to 97.53.255.25497.53.255.255131,070
15697.54.0.0/1597.54.0.1 to 97.55.255.25497.55.255.255131,070
15797.56.0.0/1597.56.0.1 to 97.57.255.25497.57.255.255131,070
15897.58.0.0/1597.58.0.1 to 97.59.255.25497.59.255.255131,070
15997.60.0.0/1597.60.0.1 to 97.61.255.25497.61.255.255131,070
16097.62.0.0/1597.62.0.1 to 97.63.255.25497.63.255.255131,070
16197.64.0.0/1597.64.0.1 to 97.65.255.25497.65.255.255131,070
16297.66.0.0/1597.66.0.1 to 97.67.255.25497.67.255.255131,070
16397.68.0.0/1597.68.0.1 to 97.69.255.25497.69.255.255131,070
16497.70.0.0/1597.70.0.1 to 97.71.255.25497.71.255.255131,070
16597.72.0.0/1597.72.0.1 to 97.73.255.25497.73.255.255131,070
16697.74.0.0/1597.74.0.1 to 97.75.255.25497.75.255.255131,070
16797.76.0.0/1597.76.0.1 to 97.77.255.25497.77.255.255131,070
16897.78.0.0/1597.78.0.1 to 97.79.255.25497.79.255.255131,070
16997.80.0.0/1597.80.0.1 to 97.81.255.25497.81.255.255131,070
17097.82.0.0/1597.82.0.1 to 97.83.255.25497.83.255.255131,070
17197.84.0.0/1597.84.0.1 to 97.85.255.25497.85.255.255131,070
17297.86.0.0/1597.86.0.1 to 97.87.255.25497.87.255.255131,070
17397.88.0.0/1597.88.0.1 to 97.89.255.25497.89.255.255131,070
17497.90.0.0/1597.90.0.1 to 97.91.255.25497.91.255.255131,070
17597.92.0.0/1597.92.0.1 to 97.93.255.25497.93.255.255131,070
17697.94.0.0/1597.94.0.1 to 97.95.255.25497.95.255.255131,070
17797.96.0.0/1597.96.0.1 to 97.97.255.25497.97.255.255131,070
17897.98.0.0/1597.98.0.1 to 97.99.255.25497.99.255.255131,070
17997.100.0.0/1597.100.0.1 to 97.101.255.25497.101.255.255131,070
18097.102.0.0/1597.102.0.1 to 97.103.255.25497.103.255.255131,070
18197.104.0.0/1597.104.0.1 to 97.105.255.25497.105.255.255131,070
18297.106.0.0/1597.106.0.1 to 97.107.255.25497.107.255.255131,070
18397.108.0.0/1597.108.0.1 to 97.109.255.25497.109.255.255131,070
18497.110.0.0/1597.110.0.1 to 97.111.255.25497.111.255.255131,070
18597.112.0.0/1597.112.0.1 to 97.113.255.25497.113.255.255131,070
18697.114.0.0/1597.114.0.1 to 97.115.255.25497.115.255.255131,070
18797.116.0.0/1597.116.0.1 to 97.117.255.25497.117.255.255131,070
18897.118.0.0/1597.118.0.1 to 97.119.255.25497.119.255.255131,070
18997.120.0.0/1597.120.0.1 to 97.121.255.25497.121.255.255131,070
19097.122.0.0/1597.122.0.1 to 97.123.255.25497.123.255.255131,070
19197.124.0.0/1597.124.0.1 to 97.125.255.25497.125.255.255131,070
19297.126.0.0/1597.126.0.1 to 97.127.255.25497.127.255.255131,070
19397.128.0.0/1597.128.0.1 to 97.129.255.25497.129.255.255131,070
19497.130.0.0/1597.130.0.1 to 97.131.255.25497.131.255.255131,070
19597.132.0.0/1597.132.0.1 to 97.133.255.25497.133.255.255131,070
19697.134.0.0/1597.134.0.1 to 97.135.255.25497.135.255.255131,070
19797.136.0.0/1597.136.0.1 to 97.137.255.25497.137.255.255131,070
19897.138.0.0/1597.138.0.1 to 97.139.255.25497.139.255.255131,070
19997.140.0.0/1597.140.0.1 to 97.141.255.25497.141.255.255131,070
20097.142.0.0/1597.142.0.1 to 97.143.255.25497.143.255.255131,070
20197.144.0.0/1597.144.0.1 to 97.145.255.25497.145.255.255131,070
20297.146.0.0/1597.146.0.1 to 97.147.255.25497.147.255.255131,070
20397.148.0.0/1597.148.0.1 to 97.149.255.25497.149.255.255131,070
20497.150.0.0/1597.150.0.1 to 97.151.255.25497.151.255.255131,070
20597.152.0.0/1597.152.0.1 to 97.153.255.25497.153.255.255131,070
20697.154.0.0/1597.154.0.1 to 97.155.255.25497.155.255.255131,070
20797.156.0.0/1597.156.0.1 to 97.157.255.25497.157.255.255131,070
20897.158.0.0/1597.158.0.1 to 97.159.255.25497.159.255.255131,070
20997.160.0.0/1597.160.0.1 to 97.161.255.25497.161.255.255131,070
21097.162.0.0/1597.162.0.1 to 97.163.255.25497.163.255.255131,070
21197.164.0.0/1597.164.0.1 to 97.165.255.25497.165.255.255131,070
21297.166.0.0/1597.166.0.1 to 97.167.255.25497.167.255.255131,070
21397.168.0.0/1597.168.0.1 to 97.169.255.25497.169.255.255131,070
21497.170.0.0/1597.170.0.1 to 97.171.255.25497.171.255.255131,070
21597.172.0.0/1597.172.0.1 to 97.173.255.25497.173.255.255131,070
21697.174.0.0/1597.174.0.1 to 97.175.255.25497.175.255.255131,070
21797.176.0.0/1597.176.0.1 to 97.177.255.25497.177.255.255131,070
21897.178.0.0/1597.178.0.1 to 97.179.255.25497.179.255.255131,070
21997.180.0.0/1597.180.0.1 to 97.181.255.25497.181.255.255131,070
22097.182.0.0/1597.182.0.1 to 97.183.255.25497.183.255.255131,070
22197.184.0.0/1597.184.0.1 to 97.185.255.25497.185.255.255131,070
22297.186.0.0/1597.186.0.1 to 97.187.255.25497.187.255.255131,070
22397.188.0.0/1597.188.0.1 to 97.189.255.25497.189.255.255131,070
22497.190.0.0/1597.190.0.1 to 97.191.255.25497.191.255.255131,070
22597.192.0.0/1597.192.0.1 to 97.193.255.25497.193.255.255131,070
22697.194.0.0/1597.194.0.1 to 97.195.255.25497.195.255.255131,070
22797.196.0.0/1597.196.0.1 to 97.197.255.25497.197.255.255131,070
22897.198.0.0/1597.198.0.1 to 97.199.255.25497.199.255.255131,070
22997.200.0.0/1597.200.0.1 to 97.201.255.25497.201.255.255131,070
23097.202.0.0/1597.202.0.1 to 97.203.255.25497.203.255.255131,070
23197.204.0.0/1597.204.0.1 to 97.205.255.25497.205.255.255131,070
23297.206.0.0/1597.206.0.1 to 97.207.255.25497.207.255.255131,070
23397.208.0.0/1597.208.0.1 to 97.209.255.25497.209.255.255131,070
23497.210.0.0/1597.210.0.1 to 97.211.255.25497.211.255.255131,070
23597.212.0.0/1597.212.0.1 to 97.213.255.25497.213.255.255131,070
23697.214.0.0/1597.214.0.1 to 97.215.255.25497.215.255.255131,070
23797.216.0.0/1597.216.0.1 to 97.217.255.25497.217.255.255131,070
23897.218.0.0/1597.218.0.1 to 97.219.255.25497.219.255.255131,070
23997.220.0.0/1597.220.0.1 to 97.221.255.25497.221.255.255131,070
24097.222.0.0/1597.222.0.1 to 97.223.255.25497.223.255.255131,070
24197.224.0.0/1597.224.0.1 to 97.225.255.25497.225.255.255131,070
24297.226.0.0/1597.226.0.1 to 97.227.255.25497.227.255.255131,070
24397.228.0.0/1597.228.0.1 to 97.229.255.25497.229.255.255131,070
24497.230.0.0/1597.230.0.1 to 97.231.255.25497.231.255.255131,070
24597.232.0.0/1597.232.0.1 to 97.233.255.25497.233.255.255131,070
24697.234.0.0/1597.234.0.1 to 97.235.255.25497.235.255.255131,070
24797.236.0.0/1597.236.0.1 to 97.237.255.25497.237.255.255131,070
24897.238.0.0/1597.238.0.1 to 97.239.255.25497.239.255.255131,070
24997.240.0.0/1597.240.0.1 to 97.241.255.25497.241.255.255131,070
25097.242.0.0/1597.242.0.1 to 97.243.255.25497.243.255.255131,070
25197.244.0.0/1597.244.0.1 to 97.245.255.25497.245.255.255131,070
25297.246.0.0/1597.246.0.1 to 97.247.255.25497.247.255.255131,070
25397.248.0.0/1597.248.0.1 to 97.249.255.25497.249.255.255131,070
25497.250.0.0/1597.250.0.1 to 97.251.255.25497.251.255.255131,070
25597.252.0.0/1597.252.0.1 to 97.253.255.25497.253.255.255131,070
25697.254.0.0/1597.254.0.1 to 97.255.255.25497.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses